Retrieve one risk profile
curl --request GET \
--url https://api-v2.tryadvocate.com/rest/risk-profiles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-v2.tryadvocate.com/rest/risk-profiles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.tryadvocate.com/rest/risk-profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"type": "STANDALONE",
"protectionScore": 123,
"assetTypes": [
"<string>"
],
"certificateHolders": [
"<string>"
],
"certificateHolderClauseTypes": [
{
"id": "<string>",
"types": [
"mortgagee"
],
"defaultForTypes": [
"mortgagee"
]
}
],
"isPublished": true,
"isLatestVersion": true,
"publishedAt": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Risk Profiles
Retrieve one risk profile
GET
/
rest
/
risk-profiles
/
{id}
Retrieve one risk profile
Authorizations
Service account token (live_ or test_ prefix)
Path Parameters
Response
Returns one risk profile
Available options:
STANDALONE, CLONE, SUBSCRIPTION Clause types each certificate holder supports and is the default for on the risk profile.
Show child attributes
Show child attributes
True once the risk profile has been published.
True when this is the latest published version of the risk profile.